
%global meadversion 1.0.0
%global namedversion 1.0.0.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jgroups-azure}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.0.Final-redhat-1

Name:           %{?scl_prefix}jgroups-azure
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JGroups Azure
Group:          Development/Java

%if %with mead
Source100: jgroups-azure-parent-1.0.0.Final-redhat-1-scm-sources.zip
Source102: jgroups-azure-distribution-1.0.0.Final-redhat-1.pom
Source103: jgroups-azure-distribution-1.0.0.Final-redhat-1.zip
Source104: jgroups-azure-distribution-1.0.0.Final-redhat-1.tar.gz
Source105: jgroups-azure-parent-1.0.0.Final-redhat-1.pom
Source106: jgroups-azure-parent-1.0.0.Final-redhat-1-project-sources.tar.gz
Source107: jgroups-azure-1.0.0.Final-redhat-1.pom
Source108: jgroups-azure-1.0.0.Final-redhat-1.jar
Source109: jgroups-azure-1.0.0.Final-redhat-1-javadoc.jar
Source110: jgroups-azure-1.0.0.Final-redhat-1-sources.jar
%endif

License:        ASL 2.0
URL:            https://github.com/rhusar/jgroups-azure-ping
Requires:       %{?scl_prefix_eap}jgroups >= 0:3.6.7
Requires:       %{?scl_prefix_eap}azure-storage >= 0:4.0.0
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Implementation of the JGroups Discovery protocol for Azure based on blob storage
service.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jgroups-azure
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jgroups-azure -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jgroups-azure-%{namedversion}.jar %{buildroot}%{_javadir}/jgroups-azure-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jgroups-azure-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jgroups-azure-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jgroups-azure-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jgroups-azure-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jgroups-azure-%{namedversion}
unzip -qq %{_sourcedir}/jgroups-azure-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jgroups-azure-%{namedversion} -x META-INF/\*
%{__ln_s} jgroups-azure-%{namedversion} %{buildroot}%{_javadocdir}/jgroups-azure
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jgroups-azure
%defattr(0644,root,root,0755)
%doc DESIGN.md LICENSE README.md
%{_javadir}/jgroups-azure-%{namedversion}.jar
%{_javadir}/jgroups-azure.jar
%if %with javadoc
%{_javadir}/jgroups-azure-%{namedversion}-javadoc.jar
%{_javadir}/jgroups-azure-javadoc.jar
%endif
%{_javadir}/jgroups-azure-%{namedversion}-sources.jar
%{_javadir}/jgroups-azure-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jgroups-azure-%{namedversion}
%{_javadocdir}/jgroups-azure
%endif

%changelog
* Wed Feb 24 2016 David Walluck <dwalluck@redhat.com> - 1.0.0-1.Final_redhat_1.1
- build RPM

